Bug 65137 - Allow to specify sorting of nodes in SortedNodeTreeModel
Allow to specify sorting of nodes in SortedNodeTreeModel
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: Outline&TreeTable
5.x
All All
: P2 (vote)
: 6.x
Assigned To: Jiri Rechtacek
issues@platform
:
Depends on:
Blocks: 55226 64518
  Show dependency treegraph
 
Reported: 2005-09-26 16:59 UTC by Martin Entlicher
Modified: 2009-02-19 22:53 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Entlicher 2005-09-26 16:59:44 UTC
The sorting of nodes in tree table view is hard-coded. There are just compared
display names. This is not sufficient in some cases (see issue #55226). IMHO a
similar approach that is used for properties should be implemented.

In TreeTableView.SortedNodeTreeModel.getRowComparator() I would expect e.g. a
check whether the Node implements Comparable and use that comparable instead of
n1.getDisplayName().compareTo(n2.getDisplayName()).
Comment 1 Jiri Rechtacek 2009-01-15 16:36:03 UTC
fixed in core-main/rev/de50002894c7


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo